import * as react from 'react';
import { ReactNode, HTMLAttributes } from 'react';
import { ComponentProps, DefaultColorPalette, CustomColorPalette, Size } from '@plume-ui-react/core';

interface TabsOwnProps {
    activeTab?: number;
    alignment?: TabsAlignment;
    colorScheme?: DefaultColorPalette | keyof CustomColorPalette;
    isLazy?: boolean;
    onTabChange?: (index: number) => void;
    orientation?: TabsOrientation;
    panelList: TabPanel[];
    size?: Size;
    tabList: Tab[];
    variant?: TabsVariant;
}
interface Tab {
    label: string;
    disabled?: boolean;
    extraContent?: ReactNode;
    isExtraContentRight?: boolean;
}
interface TabPanel {
    content: ReactNode;
}
type TabsVariant = 'underline' | 'rounded' | 'enclosed' | 'segment' | 'unstyled';
type TabsOrientation = 'horizontal' | 'vertical';
type TabsAlignment = 'left' | 'center' | 'right';
type TabsRootAttributes = Pick<HTMLAttributes<HTMLDivElement>, 'hidden' | 'id' | 'tabIndex'>;
type TabsProps = ComponentProps & TabsRootAttributes & TabsOwnProps;
declare const Tabs: react.ForwardRefExoticComponent<ComponentProps & TabsRootAttributes & TabsOwnProps & react.RefAttributes<HTMLDivElement>>;

export { Tabs, TabsProps };
